package com.sf.service.gateway.enums;

/**
 * 匹配方式
 *
 * @author zoukun
 */
public enum MatchType
{
    EQ("EQ", "完全匹配"),
    IN("IN", "包含匹配"),
    ;

    private final String code;
    private final String info;

    MatchType(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

    public static MatchType getByCode(String code){
        for (MatchType value : MatchType.values()) {
            if (value.code.equals(code)){
                return value;
            }
        }
        return null;
    }
}
