package com.sf.vertx.handle;

import io.netty.handler.codec.http.HttpResponseStatus;

public final class HttpMockException extends RuntimeException {
	private static final long serialVersionUID = -6984329893540102440L;
	private final int statusCode;
	  private final String payload;

	  public HttpMockException() {
	    this(500, null, null);
	  }

	  public HttpMockException(int statusCode) {
	    this(statusCode, null, null);
	  }

	  public HttpMockException(int statusCode, Throwable cause) {
	      this(statusCode, null, cause);
	    }

	  public HttpMockException(int statusCode, String payload) {
	    this(statusCode, payload, null);
	  }

	  public HttpMockException(int statusCode, String payload, Throwable cause) {
	    super(HttpResponseStatus.valueOf(statusCode).reasonPhrase(), cause, false, false);
	    this.statusCode = statusCode;
	    this.payload = payload;
	  }

	  public int getStatusCode() {
	    return statusCode;
	  }

	  public String getPayload() {
	    return payload;
	  }
	}
